/*
 * 文 件 名:  QueryMeterReading
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/8/28
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model;

import com.huashe.common.domain.BaseEntity;

import java.io.Serializable;
import java.util.Set;

/**
 * 查询抄表记录
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/8/28]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class QueryMeter extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 服务区代码
     */
    private String areaCode;

    private String areaName;

    /**
     * 设备编号
     */
    private String deviceCode;

    /**
     * 设施代码
     */
    private String facsCode;

    /**
     * 设备编号集合
     */
    private Set<String> deviceCodes;

    /**
     * 对象标签
     */
    private Integer objTag;

    /**
     * 对象类型
     */
    private Integer objType;

    /**
     * 对象code
     */
    private String objCode;

    /**
     * 对象名称
     */
    private String objName;

    /**
     * 计量介质
     */
    private Integer meterCls;

    /**
     * 年份
     */
    private String year;

    /**
     * 设施分类
     */
    private String facsCategory;

    /**
     * 设施子类
     */
    private String facsSubCategory;

    private String date;

    /**
     * 排序方式
     */
    private String orderFlag = "ASC";

    public QueryMeter() {
        super();
    }

    public QueryMeter(String areaCode, Integer objTag, Integer meterCls, String startTime, String endTime) {
        super();
        this.areaCode = areaCode;
        this.objTag = objTag;
        this.meterCls = meterCls;
        this.setStartRecTime(startTime);
        this.setEndRecTime(endTime);
    }

    public QueryMeter(String areaCode, String facsCode, String startTime, String endTime) {
        super();
        this.areaCode = areaCode;
        this.facsCode = facsCode;
        this.setStartRecTime(startTime);
        this.setEndRecTime(endTime);
    }


    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getFacsCode() {
        return facsCode;
    }

    public void setFacsCode(String facsCode) {
        this.facsCode = facsCode;
    }

    public Set<String> getDeviceCodes() {
        return deviceCodes;
    }

    public void setDeviceCodes(Set<String> deviceCodes) {
        this.deviceCodes = deviceCodes;
    }

    public Integer getObjTag() {
        return objTag;
    }

    public void setObjTag(Integer objTag) {
        this.objTag = objTag;
    }

    public Integer getObjType() {
        return objType;
    }

    public void setObjType(Integer objType) {
        this.objType = objType;
    }

    public String getObjCode() {
        return objCode;
    }

    public void setObjCode(String objCode) {
        this.objCode = objCode;
    }

    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public Integer getMeterCls() {
        return meterCls;
    }

    public void setMeterCls(Integer meterCls) {
        this.meterCls = meterCls;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getFacsCategory() {
        return facsCategory;
    }

    public void setFacsCategory(String facsCategory) {
        this.facsCategory = facsCategory;
    }

    public String getFacsSubCategory() {
        return facsSubCategory;
    }

    public void setFacsSubCategory(String facsSubCategory) {
        this.facsSubCategory = facsSubCategory;
    }

    public String getOrderFlag() {
        return orderFlag;
    }

    public void setOrderFlag(String orderFlag) {
        this.orderFlag = orderFlag;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }
}